Subject: bug#17686: 24.3; fetching mail in gnus -vs- erc

From: Tom Tromey <[email-masked]>
Date: Wed, 04 Jun 2014 08:45:52 -0600

I somewhat regularly experience an unfortunate interaction between gnus
and erc.

I use fetchmail to download mail to my machine.  Then I tell gnus to
pull this into nnmail groups.

I also use ERC.

If I have a lot of email (thousands of messages) pending, and then start
ERC and only after that start gnus, then the ERC connection will time
out while gnus processes the mail.  This logs me out of the irc server.

I don't see why this has to happen.  Perhaps gnus and/or emacs could
ensure that the ERC process gets called while importing the email.

In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.10.9)
 of 2014-05-21 on buildvm-07.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.11404000
Configured using:
 `configure '--build=x86_64-redhat-linux-gnu'
 '--host=x86_64-redhat-linux-gnu' '--program-prefix='
 '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr'
 '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc'
 '--datadir=/usr/share' '--includedir=/usr/include'
 '--libdir=/usr/lib64' '--libexecdir=/usr/libexec'
 '--localstatedir=/var' '--sharedstatedir=/var/lib'
 '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus'
 '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
 '--with-xft' '--with-xpm' '--with-x-toolkit=gtk3' '--with-gpm=no'
 'build_alias=x86_64-redhat-linux-gnu'
 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
 -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -m64 -mtune=generic' 'LDFLAGS=-Wl,-z,relro ''

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-c r C-g C-h i SPC C-z n <help-echo> <C-left> C-e 
<switch-frame> C-z n <f10> C-z n C-z n <f10> C-z n 
n n n n q C-h f g n u - <backspace> s - n o <tab> - 
s e r <tab> <return> C-h i t C-s g n u s - n o - C-s 
s e r v e r C-a q C-x 1 C-z n C-c C-SPC <switch-frame> 
C-z n t h e SPC p C-a C-k y e a h , SPC t h e SPC p 
r o b l e m C-a C-k I S-SPC t h i n k SPC w e ' r e 
SPC o n <M-backspace> <M-backspace> C-/ C-e o n SPC 
p r e t t y SPC s o l i d SPC g r o u d n SPC C-b C-b 
C-t C-e w h e n SPC w e SPC t a k l SPC a b o u t SPC 
t h e SPC p r o b l e m s . M-b M-b M-b C-b C-b C-t 
C-e SPC SPC t h e y SPC a r e SPC r e a l . SPC SPC 
h o <M-backspace> M-b M-f C-e M-a M-k C-a C-k t h a 
n k s SPC m j w <return> I SPC w a s n ' t SPC s u 
r e SPC i f SPC I SPC w a n t <backspace> <backspace> 
s SPC j u s t SPC C-a C-k C-c C-SPC <switch-frame> 
C-v C-v C-v M-v M-v M-v M-x g n u s - n o <tab> <return> 
<switch-frame> <switch-frame> C-z n <f10> <f10> <switch-frame> 
<switch-frame> <switch-frame> M-x r e p o r t - e m 
<tab> <return>

Recent messages:
Reading active file from private via nnml...done
Reading active file via nnml...
Opening nnml server...done
Reading active file via nnml...done
Reading active file via nndraft...done
Checking new news...done
Connecting to irc-2.devel.redhat.com:6667... ...done
Logging in as 'tromey'...
Logging in without password
Logging in as 'tromey'... done

Load-path shadows:
/home/tromey/.emacs.d/elpa/css-mode-1.0/css-mode hides /usr/share/emacs/24.3/lisp/textmodes/css-mode
/home/tromey/.emacs.d/elpa/ruby-mode-1.0/ruby-mode hides /usr/share/emacs/24.3/lisp/progmodes/ruby-mode
/home/tromey/.emacs.d/elpa/bubbles-0.5/bubbles hides /usr/share/emacs/24.3/lisp/play/bubbles
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-parse hides /usr/share/emacs/24.3/lisp/nxml/nxml-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xmltok hides /usr/share/emacs/24.3/lisp/nxml/xmltok
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-ns hides /usr/share/emacs/24.3/lisp/nxml/nxml-ns
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-uchnm hides /usr/share/emacs/24.3/lisp/nxml/nxml-uchnm
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-match hides /usr/share/emacs/24.3/lisp/nxml/rng-match
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-enc hides /usr/share/emacs/24.3/lisp/nxml/nxml-enc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-outln hides /usr/share/emacs/24.3/lisp/nxml/nxml-outln
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-util hides /usr/share/emacs/24.3/lisp/nxml/nxml-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-loc hides /usr/share/emacs/24.3/lisp/nxml/rng-loc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-maint hides /usr/share/emacs/24.3/lisp/nxml/nxml-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-parse hides /usr/share/emacs/24.3/lisp/nxml/rng-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-valid hides /usr/share/emacs/24.3/lisp/nxml/rng-valid
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-rap hides /usr/share/emacs/24.3/lisp/nxml/nxml-rap
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-nxml hides /usr/share/emacs/24.3/lisp/nxml/rng-nxml
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-glyph hides /usr/share/emacs/24.3/lisp/nxml/nxml-glyph
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-pttrn hides /usr/share/emacs/24.3/lisp/nxml/rng-pttrn
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-util hides /usr/share/emacs/24.3/lisp/nxml/rng-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xsd-regexp hides /usr/share/emacs/24.3/lisp/nxml/xsd-regexp
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-cmpct hides /usr/share/emacs/24.3/lisp/nxml/rng-cmpct
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-mode hides /usr/share/emacs/24.3/lisp/nxml/nxml-mode
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-xsd hides /usr/share/emacs/24.3/lisp/nxml/rng-xsd
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-dt hides /usr/share/emacs/24.3/lisp/nxml/rng-dt
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-maint hides /usr/share/emacs/24.3/lisp/nxml/rng-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-uri hides /usr/share/emacs/24.3/lisp/nxml/rng-uri
/home/tromey/.emacs.d/elpa/erc-5.3/erc-ezbounce hides /usr/share/emacs/24.3/lisp/erc/erc-ezbounce
/home/tromey/.emacs.d/elpa/erc-5.3/erc-truncate hides /usr/share/emacs/24.3/lisp/erc/erc-truncate
/home/tromey/.emacs.d/elpa/erc-5.3/erc-lang hides /usr/share/emacs/24.3/lisp/erc/erc-lang
/home/tromey/.emacs.d/elpa/erc-5.3/erc-ring hides /usr/share/emacs/24.3/lisp/erc/erc-ring
/home/tromey/.emacs.d/elpa/erc-5.3/erc-log hides /usr/share/emacs/24.3/lisp/erc/erc-log
/home/tromey/.emacs.d/elpa/erc-5.3/erc-sound hides /usr/share/emacs/24.3/lisp/erc/erc-sound
/home/tromey/.emacs.d/elpa/erc-5.3/erc-identd hides /usr/share/emacs/24.3/lisp/erc/erc-identd
/home/tromey/.emacs.d/elpa/erc-5.3/erc-join hides /usr/share/emacs/24.3/lisp/erc/erc-join
/home/tromey/.emacs.d/elpa/erc-5.3/erc-list hides /usr/share/emacs/24.3/lisp/erc/erc-list
/home/tromey/.emacs.d/elpa/erc-5.3/erc-dcc hides /usr/share/emacs/24.3/lisp/erc/erc-dcc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-notify hides /usr/share/emacs/24.3/lisp/erc/erc-notify
/home/tromey/.emacs.d/elpa/erc-5.3/erc-speedbar hides /usr/share/emacs/24.3/lisp/erc/erc-speedbar
/home/tromey/.emacs.d/elpa/erc-5.3/erc-xdcc hides /usr/share/emacs/24.3/lisp/erc/erc-xdcc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-netsplit hides /usr/share/emacs/24.3/lisp/erc/erc-netsplit
/home/tromey/.emacs.d/elpa/erc-5.3/erc-button hides /usr/share/emacs/24.3/lisp/erc/erc-button
/home/tromey/.emacs.d/elpa/erc-5.3/erc-networks hides /usr/share/emacs/24.3/lisp/erc/erc-networks
/home/tromey/.emacs.d/elpa/erc-5.3/erc-menu hides /usr/share/emacs/24.3/lisp/erc/erc-menu
/home/tromey/.emacs.d/elpa/erc-5.3/erc-goodies hides /usr/share/emacs/24.3/lisp/erc/erc-goodies
/home/tromey/.emacs.d/elpa/erc-5.3/erc hides /usr/share/emacs/24.3/lisp/erc/erc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-page hides /usr/share/emacs/24.3/lisp/erc/erc-page
/home/tromey/.emacs.d/elpa/erc-5.3/erc-stamp hides /usr/share/emacs/24.3/lisp/erc/erc-stamp
/home/tromey/.emacs.d/elpa/erc-5.3/erc-match hides /usr/share/emacs/24.3/lisp/erc/erc-match
/home/tromey/.emacs.d/elpa/erc-5.3/erc-pcomplete hides /usr/share/emacs/24.3/lisp/erc/erc-pcomplete
/home/tromey/.emacs.d/elpa/erc-5.3/erc-ibuffer hides /usr/share/emacs/24.3/lisp/erc/erc-ibuffer
/home/tromey/.emacs.d/elpa/erc-5.3/erc-capab hides /usr/share/emacs/24.3/lisp/erc/erc-capab
/home/tromey/.emacs.d/elpa/erc-5.3/erc-fill hides /usr/share/emacs/24.3/lisp/erc/erc-fill
/home/tromey/.emacs.d/elpa/erc-5.3/erc-spelling hides /usr/share/emacs/24.3/lisp/erc/erc-spelling
/home/tromey/.emacs.d/elpa/erc-5.3/erc-track hides /usr/share/emacs/24.3/lisp/erc/erc-track
/home/tromey/.emacs.d/elpa/erc-5.3/erc-autoaway hides /usr/share/emacs/24.3/lisp/erc/erc-autoaway
/home/tromey/.emacs.d/elpa/erc-5.3/erc-backend hides /usr/share/emacs/24.3/lisp/erc/erc-backend
/home/tromey/.emacs.d/elpa/erc-5.3/erc-replace hides /usr/share/emacs/24.3/lisp/erc/erc-replace
/home/tromey/.emacs.d/elpa/erc-5.3/erc-compat hides /usr/share/emacs/24.3/lisp/erc/erc-compat
/home/tromey/.emacs.d/elpa/erc-5.3/erc-services hides /usr/share/emacs/24.3/lisp/erc/erc-services
/home/tromey/.emacs.d/elpa/erc-5.3/erc-imenu hides /usr/share/emacs/24.3/lisp/erc/erc-imenu
/home/tromey/.emacs.d/elpa/emms-3.0/tq hides /usr/share/emacs/24.3/lisp/emacs-lisp/tq
/home/tromey/.emacs.d/elpa/erc-5.3/erc-hecomplete hides /usr/share/emacs/24.3/lisp/obsolete/erc-hecomplete

Features:
(shadow mail-hist emacsbug nndraft nnmh nnml bbdb-gnus bbdb-snarf
mail-extr bbdb-com misearch multi-isearch nnnil gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015
epg-config mm-view mml-smime smime dig nntp gnus-cache gnus-sum nnoo
gnus-group gnus-undo nnmail mail-source smtpmail sendmail gnus-start
gnus-spec gnus-int gnus-range message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev gmm-utils mailheader gnus-win gnus gnus-ems nnheader
mail-utils jka-compr vc-git bug-reference help-mode network-stream
starttls tls erc-menu erc-join erc-ring erc-pcomplete pcomplete
erc-track erc-match erc-button wid-edit erc-fill erc-stamp erc-netsplit
erc-spelling erc-truncate flyspell ispell eldoc emms-status emms-lastfm
rx emms-browser sort emms-playlist-sort emms-score emms-player-xine
emms-player-mpd emms-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
url-vars mailcap tq emms-playing-time emms-lyrics derived emms-streams
emms-mode-line emms-cache emms-info-ogginfo emms-info-mp3info emms-info
later-do emms-playlist-mode edmacro kmacro emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file locate dired
emms-setup emms emms-compat dwarf-mode-autoloads gdb-shell-autoloads
finder-inf magit-autoloads nxml-enc pydoc-info-autoloads info-look info
weblogger-autoloads xml-rpc-autoloads package cal-china lunar solar
cal-dst cal-bahai cal-islam cal-hebrew holidays hol-loaddefs appt
diary-lib diary-loaddefs cal-menu easymenu calendar cal-loaddefs
uniquify warnings mouse-sel easy-mmode cl-macs gv status cl erc-services
erc-networks erc-goodies erc erc-backend erc-compat format-spec
auth-source eieio byte-opt bytecomp byte-compile cconv gnus-util mm-util
mail-prsvr password-cache thingatpt pp cc-styles cc-align cc-engine
cc-vars cc-defs advice help-fns cl-lib advice-preload bbdb timezone
ange-ftp comint ansi-color ring server bbdb-autoloads time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

Tom